# Openpyxl_utilities

This project consists of a library with functionalities to work with the popular module openpyxl (mainly used to read and write xlsx and xls files from Python) more efficiently. It was kickstarted when I found out openpyxl package does not includes sorting fucntionalities to create xlsx files already sorted (the only option available was to set a sorting button to sort the rows inside Microsoft Excel, not creating the file already sorted).

### Prerequisites

This script is written in Python 3.6 using the following non-standard modules:
* [openpyxl 2.5 or higher](https://github.com/chronossc/openpyxl)

### Installing

First, make sure you have the prerequisites installed using the following command:

```
$pip freeze
```

If the list of installed modules does not includes openpyxl==2.5 or higher, run the following command:

```
$pip install openpyxl
```

Once the prerequisites are fullfiled, install the module with the following command:

```
$pip install openpyxl_utilities
```

If no errors are given, you can already import the module as any other module. To test if everything was correctly installed, run test.py, no error should rise.

```
$python test.py
```
If you are sure everything was installed correctly but there were errors, feel free to open an issue and let me help you get it working. n.n

### List of functions (up to dated with version 1.0)

* list_values
* adjust_col_width
* print_sheet
* empty_row
* max_length_of_column
* transpose
* sort_sheet_by
* apply_format
* col_to_num
* num_to_col

### Authors

* **Sebastián Matías Carreira**

### Acknowledgments

* **Felipe Prenholato** - @chronossc : For his work on openpyxl, core module of these functions
* **Nicolás Fusaro** - @mnfusaro : For his help in QA and debugging.